## org.apache.tools.ant.types.optional.image
Class BasicShape

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.BasicShape

All Implemented Interfaces:
  DrawOperation

Direct Known Subclasses:
  Arc, Ellipse, Rectangle

public abstract class BasicShape
extends ImageOperation
implements DrawOperation

Field Summary
`protected java.lang.String` `fill`
`protected java.lang.String` `stroke`
`protected int` `stroke_width`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BasicShape()`

Method Summary
`void` `setFill(java.lang.String col)`
`void` `setStroke(java.lang.String col)`
`void` `setStrokewidth(int width)`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.types.optional.image.DrawOperation
`executeDrawOperation`

Field Detail

### stroke_width

    protected int stroke_width

### fill

    protected java.lang.String fill

### stroke

    protected java.lang.String stroke

Constructor Detail

### BasicShape

    public BasicShape()

Method Detail

### setFill

    public void setFill(java.lang.String col)

### setStroke

    public void setStroke(java.lang.String col)

### setStrokewidth

    public void setStrokewidth(int width)

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.